FROM docker.io/alpine:3.15

ENV NAME=gdb VERSION=0 ARCH=x86_64
LABEL   name="$NAME" \
        version="$VERSION" \
        architecture="$ARCH" \
        run="podman run --rm -it --pid host -v 'PROJECT_DIR:/project:z' IMAGE ..." \
        summary="gdb-multiarch for embedded development" \
        maintainer="Andreas Hartmann <hartan@7x.de>" \
        url="https://gitlab.com/c8160/embedded-rust/gdb"

# Add documentation
COPY help.md /

RUN apk add gdb-multiarch && rm -rf /var/cache/apk/*

WORKDIR /project
VOLUME /project

ENTRYPOINT [ "/usr/bin/gdb-multiarch" ]
